% szuloje(Gy, Sz): Gy szlje Sz.
szuloje(szabo-laszlo, szabo-gyorgy).
szuloje(szabo-laszlo, laszlo-amalia).
szuloje(szabo-amalia, szabo-gyorgy).
szuloje(szabo-amalia, laszlo-amalia).

% keresztneve(E, KN): E keresztneve KN.
keresztneve(_Nev-Kereszt, Kereszt).

% vezetekneve(E, VN): E vezetkneve VN.
vezetekneve(Nev-_, Nev).

% E keresztneve megegyezik egyik szljnek vezetknevvel
erdekes(E) :-
	szuloje(E, Sz),
	keresztneve(E, KN),
	vezetekneve(Sz, KN).

% E keresztneve megegyezik egyik szljnek vezetknevvel
erdekes2(V-K) :-
	szuloje(V-K, K-_).

% E keresztneve megegyezik egyik szljnek vezetknevvel
erdekes3(E) :-
	keresztneve(E, KN),
	vezetekneve(Sz, KN),
	szuloje(E, Sz).

% E keresztneve megegyezik egyik szljnek vezetknevvel
erdekes4(E) :-
	E = _-K,
	szuloje(E, K-_).

% szuloje(szabo-(eva-maria), szabo-gyorgy).
% szuloje(szabo-(eva-maria), laszlo-amalia).
% szuloje(kali-kiss-szabo-laszlo, kiss-gyorgy).
% szuloje(kali-kiss-szabo-laszlo, szabo-(eva-maria)).

% reszneve(Osszetett, Resz): Osszetett nv rsze a Resz nev.
reszneve(Nev, Nev).
reszneve(Elso-_, Nev) :-
	reszneve(Elso, Nev).
reszneve(_-Masodik, Nev) :-
	reszneve(Masodik, Nev).

