jrat('Budapest', 'Prga', 515).
jrat('Budapest', 'Bcs', 245).
jrat('Bcs', 'Berlin', 635).
jrat('Bcs', 'Prizs', 1265).


% tszakasz(A, B, H): A-bl B-be eljuthatunk egy H thossz jrattal.
tszakasz(Kezdet, Cl, Tv) :-
     (   jrat(Kezdet, Cl, Tv)
     ;   jrat(Cl, Kezdet, Tv)
     ).

% tvonal(N, A, B, H): A s B kztt van (pontosan)
% N szakaszbl ll tvonal, amelynek sszhossza H.
tvonal(0, Kezdet, Kezdet, 0).
tvonal(N, Kezdet, Cl, H) :-
    N > 0,
    N1 is N-1,
    tszakasz(Kezdet, Kzben, H1),
    tvonal(N1, Kzben, Cl, H2),
    H is H1+H2.

% tvonal_2(N, A, B, H): A s B kztt van (pontosan)
% N szakaszbl ll krmentes tvonal, amelynek sszhossza H.
tvonal_2(N, Honnan, Hov, H) :-
	tvonal_2(N, Honnan, Hov, Honnan, H).

% tvonal_2(N, A, B, K, H): A s B kztt van pontosan
% N szakaszbl ll krmentes, K elemein t nem men H hossz t.
tvonal_2(0, Hov, Hov, _, 0).
tvonal_2(N, Honnan, Hov, Kizrtak, H) :-
	N > 0, N1 is N-1, 
	tszakasz(Honnan, Kzben, H1),
	\+ reszneve(Kizrtak, Kzben),
	tvonal_2(N1, Kzben, Hov, Kizrtak-Kzben, H2),
	H is H1+H2.
