jrat(kl, kl-kpolna, 20).
jrat(hatvan, kl, 30).

% tszakasz(A, B, H): A-bl B-be eljuthatunk egy H thossz jrattal.
tszakasz(Kezdet, Cl, Tv) :-
     (   jrat(Kezdet, Cl, Tv)
     ;   jrat(Cl, Kezdet, Tv)
     ).

% tvonal_2(N, A, B, H): A s B kztt van (pontosan)
% N szakaszbl ll krmentes tvonal, amelynek sszhossza H.
tvonal_2(N, Honnan, Hov, H) :-
	tvonal_2(N, Honnan, Hov, Honnan, H).

% tvonal_2(N, A, B, K, H): A s B kztt van pontosan
% N szakaszbl ll krmentes, K elemein t nem men H hossz t.
tvonal_2(0, Hov, Hov, _, 0).
tvonal_2(N, Honnan, Hov, Kizrtak, H) :-
	N > 0, N1 is N-1, 
	tszakasz(Honnan, Kzben, H1),
	\+ reszneve(Kizrtak, Kzben),
	tvonal_2(N1, Kzben, Hov, Kizrtak-Kzben, H2),
	H is H1+H2.
